// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  ssr: false,
  typescript: {
    typeCheck: true
  },
  nitro: {
    plugins: ['~/server/index.ts']
  },
  modules: [
    '@nuxthq/ui'
  ],
  runtimeConfig: {
    discordClientId: '',
    discordClientSecret: '',
    oauthRedirectUri: 'http://localhost:3000/api/auth',
    jwtSecret: '',
    mongoUrl: '',
    mongoUser: '',
    mongoPass: '',
    public: {
      oauthUrl: 'https://discord.com/api/oauth2/authorize?client_id=1052974736432443432&redirect_uri=http%3A%2F%2Flocalhost%3A3000%2Fapi%2Fauth&response_type=code&scope=identify'
    }
  }
})
