import { Document } from 'mongoose'

export {}

declare global {
  interface IUser extends Document {
    _id: string,
    username: string,
    usernameType: string,
    discord: {
      id: string,
      username: string,
      avatarHash: string
    },
    minecraft?: {
      uuid: string,
      username: string
    },
    teamInvites: string[],
    role: {
      admin: boolean,
      moderator: boolean,
    },
    teamId: string,
    accessToken?: string
  }

  interface IWhitelist {
    _id: string,
    uuid: string,
    connected: boolean,
    code: string
  }
}
